Bug 204794 - A wrong curly bracket in a file .h generates a segmentation fault
A wrong curly bracket in a file .h generates a segmentation fault
Product: Fedora
Classification: Fedora
Component: gcc34 (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2006-08-31 12:43 EDT by sandrine.vollat
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.1.1-20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-01 02:52:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
internal compiler error: Segmentation fault (1.40 MB, text/x-java)
2006-08-31 12:43 EDT, sandrine.vollat
no flags Details

  None (edit)
Description sandrine.vollat 2006-08-31 12:43:59 EDT
g++ -v 
Reading specs from /usr/lib/gcc/i386-redhat-linux/3.4.4/specs 
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man 
--infodir=/usr/share/info --enable-shared --enable-threads=posix 
--disable-checking --with-system-zlib --enable-__cxa_atexit 
--disable-libunwind-exceptions --enable-java-awt=gtk --host=i386-redhat-linux 
Thread model: posix 
gcc version 3.4.4 20050721 (Red Hat 3.4.4-2) 
In file included from ../../qualification/progress/qualificationProgress.h:33, 
                 from externalSimulator.cpp:38: 
../../misc/rangeFinder.h:210: internal compiler error: Segmentation fault 
Please submit a full bug report, 
with preprocessed source if appropriate. 
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions. 
Preprocessed source stored into /tmp/ccI2vzcU.out file, please attach this to 
your bugreport. 
make[3]: *** [.obj/externalSimulator.o] Error 1 
I have replaced the following line : 
  bool CTSExternalSimulator::setEnv(void) { 
  bool CTSExternalSimulator::setEnv(void); 
in the file externalSimulator.h 
and I have no more the segmentation fault.
Comment 1 sandrine.vollat 2006-08-31 12:44:00 EDT
Created attachment 135305 [details]
internal compiler error: Segmentation fault
Comment 2 Jakub Jelinek 2006-09-01 02:52:07 EDT
FC3 is no longer supported and current rawhide g++ doesn't ICE on this.

Note You need to log in before you can comment on or make changes to this bug.